Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QNetworkInterface.InterfaceFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QNetworkInterface.InterfaceFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QNetworkInterface

    public static final class QNetworkInterface.InterfaceFlag

extends java.lang.Enum
implements QtEnumerator

Specifies the flags associated with this network interface. The possible values are: Note that one network interface cannot be both broadcast-based and point-to-point.

See Also:
  Serialized Form

Field Summary
`static QNetworkInterface.InterfaceFlag` | `CanBroadcast` the network interface works in broadcast mode
`static QNetworkInterface.InterfaceFlag` | `CanMulticast` the network interface supports multicasting
`static QNetworkInterface.InterfaceFlag` | `IsLoopBack` the network interface is a loopback interface.
`static QNetworkInterface.InterfaceFlag` | `IsPointToPoint` the network interface is a point-to-point interface.
`static QNetworkInterface.InterfaceFlag` | `IsRunning` the network interface has resources allocated
`static QNetworkInterface.InterfaceFlag` | `IsUp` the network interface is active

Method Summary
`static QNetworkInterface.InterfaceFlags` | `createQFlags(QNetworkInterface.InterfaceFlag[] values)` This function creates a com.trolltech.qt.network.QNetworkInterface$InterfaceFlags with the specified `com.trolltech.qt.network.QNetworkInterface$InterfaceFlag[]` InterfaceFlag values set.
`static QNetworkInterface.InterfaceFlag` | `resolve(int value)` Returns the InterfaceFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QNetworkInterface.InterfaceFlag` | `valueOf(java.lang.String name)`
`static QNetworkInterface.InterfaceFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### IsUp

    public static final QNetworkInterface.InterfaceFlag IsUp

  the network interface is active

### IsRunning

    public static final QNetworkInterface.InterfaceFlag IsRunning

  the network interface has resources allocated

### CanBroadcast

    public static final QNetworkInterface.InterfaceFlag CanBroadcast

  the network interface works in broadcast mode

### IsLoopBack

    public static final QNetworkInterface.InterfaceFlag IsLoopBack

  the network interface is a loopback interface. that is, it's a virtual interface whose destination is the host computer itself

### IsPointToPoint

    public static final QNetworkInterface.InterfaceFlag IsPointToPoint

  the network interface is a point-to-point interface. that is, there is one, single other address that can be directly reached by it.

### CanMulticast

    public static final QNetworkInterface.InterfaceFlag CanMulticast

  the network interface supports multicasting

Method Detail

### values

    public static QNetworkInterface.InterfaceFlag[] values()

### valueOf

    public static QNetworkInterface.InterfaceFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QNetworkInterface.InterfaceFlags createQFlags(QNetworkInterface.InterfaceFlag[] values)

  This function creates a com.trolltech.qt.network.QNetworkInterface$InterfaceFlags with the specified `com.trolltech.qt.network.QNetworkInterface$InterfaceFlag[]` InterfaceFlag values set.

### resolve

    public static QNetworkInterface.InterfaceFlag resolve(int value)

  Returns the InterfaceFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD